package com.bizmatics.mhfire.model;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备案件
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceAj implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 案件编号
     */
    private Long id;

    /**
     * 发生时间
     */
    private LocalDateTime createTime;

    /**
     * 案件类型
     */
    private String ajType;

    /**
     * 所属街道
     */
    private String street;

    /**
     * 案发地址
     */
    private String address;

    /**
     * 网格
     */
    private String grid;

    /**
     * 案件描述
     */
    private String ajDescribe;

    /**
     * 责任部门
     */
    private String dutyGroup;

    /**
     * 0立案1派遣2处理3结案
     */
    private Integer ajFlag;

    /**
     * 截止时间
     */
    private LocalDateTime endTime;

    /**
     * 附件
     */
    private String enclosure;

    /**
     * 图片
     */
    private String image;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 处理人
     */
    private String disposePerson;

    /**
     * 处理电话
     */
    private String disposePhone;

    /**
     * 责任人
     */
    private String chargePerson;

    /**
     * 责任电话
     */
    private String chargePhone;


}
